package cn.cecep.talroad.data.analyse.task.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author hehongyu
 * @description: 执行报告相关枚举 仅用于执行报告的枚举 不通用
 * @date 2023/8/1 22:20
 */
@Getter
@AllArgsConstructor
public enum ExecuteReportEnum {
    TAKE_DRAINAGE("取排水","取排水"),
    MAIN_PRODUCTS("主要产品","主要产品"),
    ENERGY("能源","能源"),
    ENERGY_CONSUMPTION("能源消耗","能源消耗"),
    RUNTIME_AND_PRODUCTION_LOAD("运行时间和生产负荷","运行时间和生产负荷"),
    ACCESSORIES("辅料","辅料"),
    RAW_MATERIAL("原料","原料"),
    PLANNED_INVESTMENT_IN_POLLUTIO("污染治理设施计划投资情况","污染治理设施计划投资情况"),

    ;
    private final String code;
    private final String name;
}
